Subject: RE: bug#13816: 24.3.50; turn-on-font-lock doesn't turn it on

From: "Drew Adams" <[email-masked]>
Date: Mon, 25 Feb 2013 22:05:51 -0800

> > Recently turn-on-font-lock set to some hook turns font-lock
> > on but turns it off immediately regardless of the value of
> > global-font-lock-mode.  Here's a recipe:
> 
> > emacs -Q
> > Eval: (add-hook 'emacs-lisp-mode-hook 'turn-on-font-lock)
> > and visit some .el file.
> 
> Works fine on the trunk right now.  Can you confirm it was 
> fixed if you try a recent enough build?

The recent font-lock breakage is still there - it still does not work as of this
trunk build, today:

In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-02-25 on ODIEONE
Bzr revision: 111879 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'

In particular, see bug #13767 (no `&optional' highlighting) and bug #13755 (see
screenshots).

However, bug #13751 seems to be fixed, at first sight, at least.